<?php
// Template Name: Diário Oficial
get_header();
?>

	<main>

		<div class="intro">
			<h2 class="titulo-intro"><?php the_field('titulo_introducao'); ?></h2>
			<div class="descricao-secao">
				<?php the_field('descricao_secao'); ?>
			</div>
		</div>

		<div class="container">

			<div class="secao-busca">

				<h4 class="subtitulo">Buscar em Diário Oficial</h4>

				<form method="GET" action="">

					<div class="column">
						<label for="dt-inicio">Data de Publicação:</label>
						<input type="date" id="dt-inicio" name="fdt-inicio"/> a <input type="date" id="dt-fim" name="fdt-fim"/>
					</div>

					<div class="column">
						<label for="num-publicacao">Edição número:</label>
						<input type="number" min="1" max="9999" id="num-publicacao" name="fnum-publicacao"/>
					</div>

					<div class="column">
						<label for="ano-publicacao">Ano:</label>
						<input type="number" min="2000" max="2099" id="ano-publicacao" name="fano-publicacao"/>
					</div>

					<div class="column">
						<label for="desc-publicacao">Descrição:</label>
						<input type="text" maxlength=100 id="desc-publicacao" name="fdesc-publicacao"/>
					</div>

					<div class="column">
						<input type="submit" value="Buscar" class="btn"/>
					</div>

				</form>

			</div>

		</div>

		<section id="diario-oficial" class="container">

			<div class="secao-publicacoes">
			
				<?php
					$dt_inicial = implode("", explode('-', $_GET['fdt-inicio']));
					$dt_final = implode("", explode('-', $_GET['fdt-fim']));
					if($dt_final == ""){
						$dt_final = 20991231;
					}
					$num_publicacao = $_GET['fnum-publicacao'];
					$ano_publicacao = $_GET['fano-publicacao'];
					$descricao = $_GET['fdesc-publicacao'];
					$pagina = $_GET['pag'];
					if( isset($pagina) ) {				
						$num_pagina = intval($pagina);
					} else {
						$num_pagina = 1;
					}
					if( gettype($num_pagina)=="integer" ){
						$offset = 40*($num_pagina-1);
					}

					$args = array (
						'post_type'		=> 'diario-oficial',                
						'meta_query'	=> array(
							'relation'	=> 'AND',
							array(
								'key'     	=> 'data_diario',
								'value'   	=> $dt_inicial,
								'compare' 	=> '>=',
							),
							array(
								'key'     	=> 'data_diario',
								'value'   	=> $dt_final,
								'compare' 	=> '<=',
							),
							array(
								'key'     	=> 'descricao_diario',
								'value'   	=> 	$descricao,
								'compare' 	=> 'LIKE',
							),
							array(
								'key'     	=> 'nome_diario',
								'value'   	=> 	$num_publicacao,
								'compare' 	=> 'LIKE',
							),
							
							array(
								'key'     	=> 'ano_diario',
								'value'   	=> 	$ano_publicacao,
								'compare' 	=> 'LIKE',
							),
						),
						'meta_key'      => 'data_diario',
						'orderby'       => 'meta_value',
						'order'   		=> 'DESC',
						'posts_per_page'=> 40,
						'offset'		=> $offset,
					);
					$the_query = new WP_Query ( $args );
					$id_post = 1;
					$tot_posts = $the_query->found_posts;
					$tot_paginas = ceil($tot_posts/40);
				?>
				
				<?php if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
					<div id='publicacao<?php echo $id_post; ?>'>
						<div class="conteudo-publicacao pub-diario-legislacao">
							<a href="<?php the_field('arquivo_diario') ?>" target="_new">
								<h6 class="titulo-publicacoes">
									<?php the_field('nome_diario'); ?>
									<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="none" class="icones-title">
										<path d="M9 4H1V19H16V11" stroke-width="2" stroke-linecap="round"/>
										<path d="M9 11L19 1M19 1H11.8571M19 1V8.14286" stroke-width="2" stroke-linecap="round"/>
									</svg>
								</h6>					
							</a>
							<p><span>Ano:</span> <?php the_field('ano_diario'); ?></p>                
							<p><span>Data de Publicação:</span> <?php the_field('data_diario'); ?></p>
							<p><span>Descrição:</span> <?php the_field('descricao_diario'); ?></p>
						</div>

						<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" viewBox="0 0 24 18" fill="none" class="abrir-secao">
							<path d="M12 16L2 6L6 2L12 8L18 2L22 6L12 16Z" stroke-width="2"/>
						</svg>
					</div>
					<?php $id_post++; ?>
				<?php endwhile; else: endif; ?>
					<ul class="paginacao">
					<?php
						$url_raw = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
						$url_pag = explode("&pag=", $url_raw);
						$url_explode = explode("pag=", $url_pag[0]);
						$intervalo_pag = intval($url_explode[1]);
						$url = explode("?", $url_explode[0]);
						if($intervalo_pag == NULL) {
							$intervalo_pag = 1;
						}
						if($tot_paginas > 1){
							if($intervalo_pag > 1) {
									$url_primeira = $url[0]."?".$url[1]."&pag=1";
									echo "<li><a class='item-paginacao' href='{$url_primeira}'>Primeira</a></li>";
							}
							if($intervalo_pag < 4){
								if($tot_paginas > 7){
									for($i = 1; $i <= 7; $i++) {
										if($i == $intervalo_pag || $intervalo_pag == NULL){
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
										} else {
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
										}
									}
								} else {
									for($i = 1; $i <= $tot_paginas; $i++) {
										if($i == $intervalo_pag || $intervalo_pag == NULL){
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
										} else {
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
										}
									}
								}
							} else if($intervalo_pag > $tot_paginas - 4) {
								for($i = $tot_paginas-7; $i <= $tot_paginas; $i++) {
									if($i == $intervalo_pag){
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
									} else {
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
									}
								}
							} else {
								for($i = $intervalo_pag-3; $i <= $intervalo_pag+3; $i++) {
									if($i == $intervalo_pag){
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
									} else {
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
									}
								}
							}
							if($intervalo_pag < $tot_paginas) {
								$url_ultima = $url[0]."?".$url[1]."&pag={$tot_paginas}";
								echo "<li><a class='item-paginacao' href='{$url_ultima}'>Última</a></li>";
							}
						}
					?>
					</ul>
				<?php wp_reset_query(); wp_reset_postdata(); ?>

			</div>

		</section>
	
	</main>

<?php get_footer(); ?>